Summary:	A tool which displays the status of serial port modem lines
Name:		statserial
Version:	1.1
Release:	%mkrel 18
License:	BSD
Group:		Communications
Url:		ftp://sunsite.unc.edu/pub/Linux/system/serial/

Source:		ftp://sunsite.unc.edu/pub/Linux/system/serial/%{name}-%{version}.tar.bz2
Patch:		%{name}-1.1-config.patch.bz2
Patch1: 	%name-1.1-dev.patch.bz2
BuildRequires:	ncurses-devel
BuildRequires:	glibc-static-devel 
BuildRoot:	%_tmppath/%name-%version-%release-root

%description
The statserial utility displays a table of the signals on a standard
9-pin or 25-pin serial port and indicates the status of the
handshaking lines.  Statserial is useful for debugging serial port
and/or modem problems.

Install the statserial package if you need a tool to help debug serial
port or modem problems.

%prep

%setup -q
%patch -p1 -b .config
%patch1 -p1 -b .dev

%build
%{make} CFLAGS="$RPM_OPT_FLAGS -O3"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_mandir}/man1}

install -m 755 -s statserial $RPM_BUILD_ROOT%{_bindir}/statserial
install -m 444 statserial.1 $RPM_BUILD_ROOT%{_mandir}/man1/statserial.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/statserial
%{_mandir}/man1/statserial.1.*

%changelog
* Mon Nov 06 2006 Bart the Build Bot <bartbot at pclinuxos dot com> 1.1-18pclos2007
- Build for PCLinuxOS 2007

